local Upgrade = Class(function(self, inst)
    self.inst = inst
end)

function Upgrade:CollectEquippedActions(doer, target, actions, right)
    if target:HasTag("dispenser") or target:HasTag("esentry") then
	if target:HasTag("dispenser") and target.components.fueled.currentfuel ~= target.components.fueled.maxfuel or (target:HasTag("dispenser") and target:HasTag("lvl3")) then
            STRINGS.ACTIONS.ENGIEWORK = "Refuel"
        elseif (target:HasTag("dispenser") or target:HasTag("esentry")) and target.components.fueled.currentfuel == target.components.fueled.maxfuel and not target:HasTag("lvl3") then
            STRINGS.ACTIONS.ENGIEWORK = "Upgrade"
        elseif target:HasTag("esentry") and target.components.fueled.currentfuel ~= target.components.fueled.maxfuel or (target:HasTag("esentry") and target:HasTag("lvl3")) then
            STRINGS.ACTIONS.ENGIEWORK = "Reload"
        end 
	if right then
            table.insert(actions, ACTIONS.ENGIEWORK)
	end
    end
end

return Upgrade
